Bug 859463 - [abrt] cherrytree-0.26.2-1.fc17: core.py:3562:sourceview_cursor_and_tooltips_handler:TypeError: 'NoneType' object has no attribute '__getitem__'
[abrt] cherrytree-0.26.2-1.fc17: core.py:3562:sourceview_cursor_and_tooltips_...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cherrytree (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:ec2a9b3d2c71561aa2ea55481c5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 11:47 EDT by aupr
Modified: 2012-10-23 05:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: cherrytree-0.28-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 05:50:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (247 bytes, text/plain)
2012-09-21 11:47 EDT, aupr
no flags Details

  None (edit)
Description aupr 2012-09-21 11:47:31 EDT
Description of problem:
I was trying to create new branch

Version-Release number of selected component:
cherrytree-0.26.2-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python /usr/bin/cherrytree
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:core.py:3562:sourceview_cursor_and_tooltips_handler:TypeError: 'NoneType' object has no attribute '__getitem__'
:
:Traceback (most recent call last):
:  File "/usr/share/cherrytree/modules/core.py", line 3683, in on_sourceview_motion_notify_event
:    self.sourceview_cursor_and_tooltips_handler(x, y)
:  File "/usr/share/cherrytree/modules/core.py", line 3562, in sourceview_cursor_and_tooltips_handler
:    if tag_name[0:4] == "link":
:TypeError: 'NoneType' object has no attribute '__getitem__'
:
:Local variables in innermost frame:
:hovering_anchor: False
:hovering_todo_list: False
:tags: [<gtk.TextTag object at 0x10fbeb0 (GtkTextTag at 0x158b240)>]
:self: <core.CherryTree instance at 0x1066fc8>
:hovering_link: False
:tag_name: None
:tag: <gtk.TextTag object at 0x10fbeb0 (GtkTextTag at 0x158b240)>
:y: 210
:x: 407
:text_iter: <GtkTextIter at 0x15b4140>
Comment 1 aupr 2012-09-21 11:47:35 EDT
Created attachment 615490 [details]
File: core_backtrace
Comment 2 Giuseppe Penone 2012-10-03 10:02:05 EDT
ok this should be fixed in versions > 0.27.1
Comment 3 Fedora Update System 2012-10-10 23:13:29 EDT
cherrytree-0.28-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cherrytree-0.28-1.fc17
Comment 4 Fedora Update System 2012-10-11 22:53:30 EDT
Package cherrytree-0.28-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cherrytree-0.28-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15964/cherrytree-0.28-1.fc17
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.